0
0

hi i got this problem with unity and fmod , when i play the game in unity i got some errors

FMOD Error (ERR_HEADER_MISMATCH): Unknown error.
UnityEngine.Debug:LogWarning(Object)
FMOD.Studio.UnityUtil:LogWarning(String) (at Assets/Plugins/FMOD/FMOD_StudioSystem.cs:53)
FMOD.Studio.UnityUtil:ERRCHECK(RESULT) (at Assets/Plugins/FMOD/FMOD_StudioSystem.cs:91)
FMOD_StudioSystem:ERRCHECK(RESULT) (at Assets/Plugins/FMOD/FMOD_StudioSystem.cs:266)
FMOD_StudioSystem:Init() (at Assets/Plugins/FMOD/FMOD_StudioSystem.cs:217)
FMOD_StudioSystem:get_instance() (at Assets/Plugins/FMOD/FMOD_StudioSystem.cs:121)
FMOD_Listener:LoadPlugins() (at Assets/Plugins/FMOD/FMOD_Listener.cs:165)
FMOD_Listener:Initialize() (at Assets/Plugins/FMOD/FMOD_Listener.cs:128)
FMOD_Listener:OnEnable() (at Assets/Plugins/FMOD/FMOD_Listener.cs:21)

NullReferenceException: Object reference not set to an instance of an object
FMOD_StudioSystem.Init () (at Assets/Plugins/FMOD/FMOD_StudioSystem.cs:227)
FMOD_StudioSystem.get_instance () (at Assets/Plugins/FMOD/FMOD_StudioSystem.cs:121)
FMOD_Listener.LoadPlugins () (at Assets/Plugins/FMOD/FMOD_Listener.cs:165)
FMOD_Listener.Initialize () (at Assets/Plugins/FMOD/FMOD_Listener.cs:128)
FMOD_Listener.OnEnable () (at Assets/Plugins/FMOD/FMOD_Listener.cs:21)

NullReferenceException: Object reference not set to an instance of an object
FMOD_StudioSystem.GetEvent (System.String path) (at Assets/Plugins/FMOD/FMOD_StudioSystem.cs:156)
SoundManager.Start () (at Assets/Scripts/SoundManager.cs:18)

NullReferenceException: Object reference not set to an instance of an object
FMOD_Listener.Update () (at Assets/Plugins/FMOD/FMOD_Listener.cs:159)

can anyone help me with that, its happening since i upgrade to 1.03.06

  • You must to post comments
0
0

It’s telling you that the integration scripts do not match the binaries (DLL/bundle). This can happen if you’re using the old integration in Unity session before importing the new package. Unity will be holding a file lock on the files one you start using the integration (even using FMOD->About integration). If you close and reopen Unity, then import the new unity integration package that should resolve the issue.

  • You must to post comments
Showing 1 result
Your Answer

Please first to submit.